=== debian/changelog ===
mercurial-chg (0.2) unstable; urgency=medium

  * New release.

 -- Yuya Nishihara <yuya@tcha.org>  Sun, 19 Jul 2015 15:46:18 +0900

mercurial-chg (0.1) unstable; urgency=medium

  * Initial release.

 -- Yuya Nishihara <yuya@tcha.org>  Sun, 26 Oct 2014 15:11:41 +0900
